%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cache/File.pm) perl(Class/Accessor/Fast.pm) perl(Class/Data/Inheritable.pm) perl(Class/ErrorHandler.pm) perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(Jcode.pm) perl(RPC/XML.pm) perl(RPC/XML/Client.pm) perl(Storable.pm) perl(Test/More.pm) perl(URI.pm) perl(base.pm) perl(overload.pm) perl(Encode/JP/H2Z.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Hatena-Keyword
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Extract Hatena Keywords in a string
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NA/NAOYA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module allows you to extract Hatena keywords used in an
arbitrary text and also allows you to mark up a text as HTML with
the keywords.

A Hatena keyword is an element in a suite of web sites *.hatena.ne.jp
having blogs and social bookmarks among others. Please refer to
http://d.hatena.ne.jp/keyword/ (in Japanese) for details.

In Hatena Diary, a blog hosting service, a Hatena keyword found in a
posting is linked to the keyword..s page automatically. You can
implement the same kind of feature outside Hatena using this module.

It queries Hatena Keyword Link API internally for retrieving terms.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/H*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

